---

# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---

install_compiler_pkgs: true

install_postgresql_pkgs: true


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001
#
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9
#      IPv6: 2620:fe::fe
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de
#      IPv4: 94.16.114.254  - ns28.de
#      IPv4: 51.254.162.59  - ns9.de
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
#
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS)
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 127.0.0.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - ga.netz
  - ga.intra

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 192.168.11.1


# ---
# vars used by roles/common/tasks/users.yml
# ---

insert_root_ssh_keypair: true

root_ssh_keypair:
  - name: id-rsa-dehydrated
    priv_key_src: ga-st-mail/root/.ssh/ga-st-mail-id_rsa-dehydrated
    priv_key_dest: /root/.ssh/id_rsa-dehydrated
    pub_key_src: ga-st-mail/root/.ssh/ga-st-mail-id_rsa-dehydrated.pub
    pub_key_dest: /root/.ssh/id_rsa-dehydrated.pub
  - name: id-rsa-opendkim
    priv_key_src: ga-st-mail/root/.ssh/ga-st-mail-id_rsa-opendkim
    priv_key_dest: /root/.ssh/id_rsa-opendkim
    pub_key_src: ga-st-mail/root/.ssh/ga-st-mail-id_rsa-opendkim.pub
    pub_key_dest: /root/.ssh/id_rsa-opendkim.pub

default_user:

  - name: chris
    password: $y$j9T$rDrvWa/KInzTe601YYf9./$WjDlaItCrgX7gu4nCs481y8WLxiRaNJCC/MgFgKuzg3
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: maadmin
    password: $y$j9T$LCkYWvykWzrpFxIlmSUB01$e1ROfZxXAU53UdAwZAECzED4iV4LS02Q4IPQ2fycv51
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHCQRRXy0+9D+mhLniRlUpZZ3kZdZcQKXBsGnlsFYaRi maadmin@ga-st-lsx1'

  - name: wadmin
    password: $6$sLWIXKTW$i/STlSS0LijkrnGR/XMbaxJsEbrRdDYgqyCqIr.muLN5towes8yHDCXsyCYDjuaBNKPHXyFpr8lclg5DOm9OF1
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIF5GDIFA6/i6lzkr+EP/EZM9glrK0eSR0nmrEFgUJ4n8 wadmin@ga-st-lsx1'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID17MN6fUg0D1dMSgVYIBpIy+sDBBmiaHmXRXU63TXJA wadmin@ga-st-li1303'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKtK8/rxHL1MKX5AHrgAzUYu0kV+1iYCmknpTQ7F0ham wadmin@wolf-debtest'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIcaDFxj0pYjOv/ohFVxVY2RKvy6ACZFPX9UkrUPHkbN wadmin@wolf-x1'

  - name: sysadm
    user_id: 1050
    group_id: 1050
    group: sysadm
    password: $y$j9T$awYUu9oRvV39ojITZOC7D1$czTh5HHIE32PXb0vl40ayAarm39txR4jaH1QzBscqfC
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHCQRRXy0+9D+mhLniRlUpZZ3kZdZcQKXBsGnlsFYaRi maadmin@ga-st-lsx1'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIF5GDIFA6/i6lzkr+EP/EZM9glrK0eSR0nmrEFgUJ4n8 wadmin@ga-st-lsx1'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID17MN6fUg0D1dMSgVYIBpIy+sDBBmiaHmXRXU63TXJA wadmin@ga-st-li1303'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKtK8/rxHL1MKX5AHrgAzUYu0kV+1iYCmknpTQ7F0ham wadmin@wolf-debtest'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIcaDFxj0pYjOv/ohFVxVY2RKvy6ACZFPX9UkrUPHkbN wadmin@wolf-x1'

  - name: back
    user_id: 1060
    group_id: 1060
    group: back
    password: $y$j9T$wpg8hlvMpO4PAWSVdLoJq/$dgpQh4cEnbUOQkkZzKUM4S8XzNS/Md5gMmMuNTqec74
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'

sudo_users:
  - chris
  - sysadm
  - maadmin
  - wadmin


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/copy_files.yml
# ---

copy_plain_files:

  # /root/bin/monitoring
  #
  - name: monitoring_check_cert_for_dovecot.conf
    src_path: ga-st-mail/root/bin/monitoring/conf/check_cert_for_dovecot.conf
    dest_path: /root/bin/monitoring/conf/check_cert_for_dovecot.conf

  - name: monitoring_check_webservice_load.conf
    src_path: ga-st-mail/root/bin/monitoring/conf/check_webservice_load.conf
    dest_path: /root/bin/monitoring/conf/check_webservice_load.conf

  # /root/bin/postfix
  #
  - name: postfix_create_opendkim_key.conf
    src_path: ga-st-mail/root/bin/postfix/conf/create_opendkim_key.conf
    dest_path: /root/bin/postfix/conf/create_opendkim_key.conf

  - name: postfix_postfix_add_mailboxes.conf
    src_path: ga-st-mail/root/bin/postfix/conf/postfix_add_mailboxes.conf
    dest_path: /root/bin/postfix/conf/postfix_add_mailboxes.conf

  - name: postfix_sent_userinfo_postfix.conf
    src_path: ga-st-mail/root/bin/postfix/conf/sent_userinfo_postfix.conf
    dest_path: /root/bin/postfix/conf/sent_userinfo_postfix.conf

  - name: postfix_whitelist_mb_sigs.conf
    src_path: ga-st-mail/root/bin/postfix/conf/whitelist_mb_sigs.conf
    dest_path: /root/bin/postfix/conf/whitelist_mb_sigs.conf


copy_plain_files_postfwd_host_specific:

  # Postfix Firewall postfwd
  #
  - name: postfwd.wl-user
    src_path: ga-st-mail/etc/postfix/postfwd.cf
    dest_path: /etc/postfix/postfwd.cf


#copy_template_files: []
#
#  - name: mailsystem_install_amavis.conf
#    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
#    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf



# ---
# vars used by roles/common/tasks/config_files_mailsystem_scripts.yml
# ---

hostname: mx.gemeinschaft-altenschlirf.de
ipv4_address: 192.168.11.2
#ipv6_address: 

admin_email: it@gemeinschaft-altenschlirf.org
is_relay_host: !!str "false"

db_in_use: !!str "true"
# postfix_db_type
#
# possible values are 'PostgreSQL' and 'MySQL'
postfix_db_type: PostgreSQL
postfix_db_name: postfix
postfix_db_user: postfix
#postfix_db_host:
postfix_db_pass: R_wuKauoTE7+AJg9

# install_amavis.conf
#
mp_receipt_number: 106015125438
si_authorisation_signature: abb4ec6b194639f3d123154f1b971843a3b8751d8c1bcdc7d07ed6db26621b11bca0e23d2a42b60aef3f7b7803a1466a964d90c7b1e82d67c7680c8f46b59a4e

# install_postfixadmin.conf
# 
website_name_postfixadmin: adm.gemeinschaft-altenschlirf.de

email_welcome_message: "\n
Hallo,\n

Ihre/Deine neue E-Mail Adresse ist eingerichtet.\n

IT Team Gemeinschaft Altenschlirf\n

--\n
Gemeinschaft Altenschlirf  |   Phone:  +49 6647 / 9606 0\n
Müser Straße 1             |   Fax:    +49 6647 / 9606 179\n
D-36358 Herbstein          |   E-Mail: it@gemeinschaft-altenschlirf.de\n
"

# install_update_dovecot.conf
#
dovecot_from_address: "Administrator E-Mail <postmaster@gemeinschaft-altenschlirf.de>"
dovecot_reply_to: "postmaster@gemeinschaft-altenschlirf.de"
webmailer_address: "https://webmail.gemeinschaft-altenschlirf.de"
salutation: "IT Team Gemeinschaft Altenschlirf\n

--\n
Gemeinschaft Altenschlirf  |   Phone:  +49 6647 / 9606 0\n
Müser Straße 1             |   Fax:    +49 6647 / 9606 179\n
D-36358 Herbstein          |   E-Mail: it@gemeinschaft-altenschlirf.de\n
"

# install_upgrade_roundcube-webmail.conf
#
# Webmailer
webmail_site_name: webmail.gemeinschaft-altenschlirf.de
autoreply_hostname: autoreply.gemeinschaft-altenschlirf.de
# possible values: 'pgsql' or 'mysql'
roundcube_db_type: pgsql
roundcube_db_name: roundcubemail
roundcube_db_user: roundcube
#roundcube_db_host:
roundcube_db_pass: 'K3TbMmTfnCXdj4vz'

#roundcube_acl_plugin: true

roundcube_product_name: Gemeinschaft Altenschlirf - Webmailer
roundcube_support_url: https://www.gemeinschaft-altenschlirf.de
roundcube_skin_logo: "images/oopen-logo.png"


template_files_mailsystem_script:

  - name: mailsystem_install_postfix_advanced.conf
    src_path: usr/local/src/mailsystem/conf/install_postfix_advanced.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_postfix_advanced.conf

  - name: mailsystem_install_amavis.conf
    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf

  - name: mailsystem_install_postfixadmin.conf
    src_path: usr/local/src/mailsystem/conf/install_postfixadmin.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_postfixadmin.conf

  - name: mailsystem_install_update_dovecot.conf
    src_path: usr/local/src/mailsystem/conf/install_update_dovecot.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_update_dovecot.conf

  - name: mailsystem_install_upgrade_roundcube-webmail.conf
    src_path: usr/local/src/mailsystem/conf/install_upgrade_roundcube-webmail.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_upgrade_roundcube-webmail.conf
